<template>
  <component v-bind:is="component" ></component>
</template>
<script>
import { mapState } from 'vuex';

import ProfileSetting from './ProfileSetting.vue';
import TwoFA from './TwoFA.vue';
import RemoveOtpModal from '../components/Modal/RemoveOtpModal.vue';

export default {
  data () {
    return {
      component: 'ProfileSetting',
    };
  },
  computed: {
    ...mapState([
      'user',
    ]),
  },
  components: {
    ProfileSetting,
    TwoFA
  },
  watch: {
    'user.two_factor_enabled': function twoFA() {
      this.goto2FAPage();
    },
  },
  methods: {
    goto2FAPage () {
      if ((typeof this.user.two_factor_enabled) !== 'undefined') {
        if (!this.user.two_factor_enabled) {
          this.component = 'TwoFA';
        } else {
          this.$broadcast('open-modal', RemoveOtpModal);
        }
      }
    },
  },
  created () {
    this.goto2FAPage();
  },
};
</script>
